Package org.apache.catalina.tribes.util

# Class ExecutorFactory

java.lang.Object
org.apache.catalina.tribes.util.ExecutorFactory

public class ExecutorFactory extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final StringManager`
  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExecutorService`
  `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit)`
  `static ExecutorService`
  `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit, ThreadFactory threadFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sm

    protected static final StringManager sm

- ## Constructor Details

  - ### ExecutorFactory

    public ExecutorFactory()

- ## Method Details

  - ### newThreadPool

    public static ExecutorService newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit)

  - ### newThreadPool

    public static ExecutorService newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit, ThreadFactory threadFactory)